import { CompileSchema, Converter, Entities, ErrorHandlerFn, MapAsyncResultFn } from './types';
interface AsyncOptions<TEntities extends Entities, TSchema> {
    compileSchema?: CompileSchema<TSchema>;
    errorHandler?: ErrorHandlerFn<TEntities>;
    mapAsyncResultFn?: MapAsyncResultFn<TEntities>;
}
declare const _default: <TEntities extends Entities, TSchema>({ errorHandler, compileSchema, mapAsyncResultFn, }?: AsyncOptions<TEntities, TSchema>) => Converter<TEntities, TSchema>;
export default _default;
