import { App, Entities, Opts } from './types';
declare type AppProvider<TEntities extends Entities = Entities, TSchema = {}> = (opts?: Opts<TEntities, TSchema>) => App<TEntities, TSchema>;
export declare const resetProvider: () => void;
export declare const setProvider: (provider: AppProvider<any, any>) => void;
export declare const createApp: <TEntities extends Entities = Entities, TSchema = {}>(opts?: Opts<TEntities, TSchema> | undefined) => App<TEntities, TSchema>;
export default createApp;
