export declare class CustomResponse<T> {
    readonly value: T;
    readonly headers: Record<string, string | string[]> | undefined;
    readonly isRaw: boolean;
    constructor(value: T, headers: Record<string, string | string[]> | undefined, isRaw: boolean);
}
export declare const createCustomResponse: <T>(value: T, opts?: {
    isRaw?: boolean | undefined;
    headers?: Record<string, string | string[]> | undefined;
} | undefined) => CustomResponse<T>;
