import { Decorator, Entities, Middleware } from './types';
export declare const decorate: <TEntities extends Entities>(obj: Partial<Decorator>, fn: Middleware<TEntities>) => Middleware<TEntities>;
export declare const permission: <TEntities extends Entities>(value: string | undefined, fn: Middleware<TEntities>) => Middleware<TEntities>;
export declare const provides: <TEntities extends Entities>(value: string[] | undefined, fn: Middleware<TEntities>) => Middleware<TEntities>;
export declare const requires: <TEntities extends Entities>(value: string[] | undefined, fn: Middleware<TEntities>) => Middleware<TEntities>;
