"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const create_app_1 = __importDefault(require("./create-app"));
__export(require("./custom-response"));
__export(require("./decorate"));
var deprecate_1 = require("./deprecate");
exports.deprecate = deprecate_1.deprecate;
__export(require("./error"));
var load_1 = require("./load");
exports.loadFromRequest = load_1.loadFromRequest;
exports.loadOnceWith = load_1.loadOnceWith;
exports.loadOnlyOnce = load_1.loadOnlyOnce;
exports.loadWith = load_1.loadWith;
var compute_1 = require("./permissions/compute");
exports.computePermissions = compute_1.computePermissions;
var create_middleware_1 = require("./permissions/create-middleware");
exports.createPermissionFor = create_middleware_1.createPermissionFor;
var create_1 = require("./permissions/create");
exports.createPermissions = create_1.createPermissions;
__export(require("./permissions/types"));
__export(require("./types"));
exports.default = create_app_1.default;
//# sourceMappingURL=index.js.map