import { PermissionMap } from './types';
declare type Permissions<T extends string = string> = {
    [key in T]: key extends '$errors' ? Record<string, unknown> : boolean;
} & {
    $errors: Record<string, unknown>;
};
export declare const computePermissions: <TEntities>(entities: PermissionMap<TEntities>, entityName: keyof TEntities, requiredModels: TEntities) => Permissions<string>;
export {};
