export declare class CustomError extends Error {
    statusCode: number;
    error?: string;
    extra: unknown;
    constructor(statusCode: number, error?: string, extra?: unknown);
}
export declare const badRequest: (error?: string | undefined, extra?: unknown) => CustomError;
export declare const custom: (statusCode: number, error?: string | undefined, extra?: unknown) => CustomError;
export declare const forbidden: (error?: string | undefined, extra?: unknown) => CustomError;
export declare const internalServerError: (error?: string | undefined, extra?: unknown) => CustomError;
export declare const notFound: (error?: string | undefined, extra?: unknown) => CustomError;
export declare const unauthorized: (error?: string | undefined, extra?: unknown) => CustomError;
