import { Route } from './analyze';
interface Options<TSchema> {
    deprecated?: 'all' | 'in-use' | 'none';
    generatePermissions?: (permissions: string[]) => string;
    generateSchema?: (schema: TSchema) => any;
    getCategory?: (route: Route<TSchema>) => string | undefined;
    getParamAlias?: (param: string) => string | undefined;
    sortCategories?: (a: string, b: string) => number;
}
declare const _default: <TSchema>(routes: Route<TSchema>[], opts?: Options<TSchema>) => {
    paths: {
        [path: string]: {
            [method: string]: any;
        };
    };
    tags: {
        name: string;
    }[];
};
export default _default;
