"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isProviderMiddleware = (o) => !!(o.$provides && o.$provides.length);
exports.isRequirMiddleware = (o) => !!(o.$requires && o.$requires.length);
exports.isPermissionMiddleware = (o) => !!o.$permission;
exports.isNonOrderable = (o) => !!o.$noOrder;
exports.isNumber = (m) => typeof m === 'number';
exports.isPromise = (f) => f && typeof f.then === 'function';
exports.isSchema = () => (m) => typeof m === 'object';
exports.isMiddlewareArg = (o) => Array.isArray(o) || typeof o === 'function';
exports.isAsyncMiddleware = (o) => typeof o === 'function' && o.length <= 1;
exports.isMiddleware = (o) => typeof o === 'function';
//# sourceMappingURL=types.js.map